using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    public class MaterialOutDTO
    {
        public string MaterialOutCode { get; set; }
        public string GroupName { get; set; }
        public string OutPersonName { get; set; }
        public string inputPersonName { get; set; }
        public string CheckPersonName { get; set; }
        private string _OutDate;
        public string OutDate
        {
            get
            {
                return _OutDate?.Substring(0, 10);
            }
            set
            {
                _OutDate = value;
            }
        }
        private string _InputDate;
        public string InputDate
        {
            get
            {
                return _InputDate?.Substring(0, 10);
            }
            set
            {
                _InputDate = value;
            }
        }
        private string _CheckDate;
        public string CheckDate
        {
            get
            {
                return _CheckDate?.Substring(0, 10);
            }
            set
            {
                _CheckDate = value;
            }
        }
        public string ContractName { get; set; }
        public int Status { get; set; }
        public string StatusName
        {
            get
            {
                Type type = typeof(SimpleCheckState);
                return type.GetEnumName(Status);
            }
        }
        public string SupplierName { get; set; }
    }
}
